## swift-status 1.0.0~bpo11+1

=== requirements.txt ===
# dev
black
flake8
flake8-bugbear
isort

=== debian/changelog ===
swift-status (1.0.0~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Wed, 03 May 2023 11:30:36 +0000

swift-status (1.0.0) unstable; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Theo Gindre <theo.gindre@infomaniak.com>  Tue, 02 May 2023 15:12:34 +0000

=== debian/control ===
Source: swift-status
Section: admin
Priority: Optionnal
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Theo Gindre <theo.gindre@infomaniak.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/swift-status
Vcs-Git: https://salsa.debian.org/openstack-team/services/swift-status.git
Homepage: https://salsa.debian.org/openstack-team/services/swift-status

Package: swift-status
Architecture: all
Depends:
 python3-swift,
 ${misc:Depends},
 ${python3:Depends},
Description: displays the status of a swift cluster
 Uses the SwiftRecon api to query all servers of a cluster
 Retrieve disk usage, unmounted drives, ntpdrift and unvalidate servers
 .
 This is an alternative to swift-recon.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
